[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Stop during upgrade of textproc/linux-expat



Hi,

While upgrading my ports I ran into a problem during the upgrade of
textproc/linux-expat. After the usual cvsup, "make fetchindex", pkgdb
-F I started "portupgrade -arR which resulted in a "Stop" because of a
syntax error - for details see below.

Has anybode else had this problem? What can I do against it?

Thanks much in advance for your help,
-ewald


------------------------------ < Cut here > ------------------------------

# portupgrade -arR
** Port marked as IGNORE: net/citrix_ica:
        is an interactive port
--->  Upgrading 'linux-expat-1.95.8' to 'linux-expat-1.95.8_1' (textproc/linux-e
xpat)
--->  Building '/usr/ports/textproc/linux-expat'
===>  Cleaning for linux-expat-1.95.8_1
===>  Vulnerability check disabled, database not found
===>  Extracting for linux-expat-1.95.8_1
=> MD5 Checksum OK for rpm/i386/fedora/4/expat-1.95.8-6.i386.rpm.
=> SHA256 Checksum OK for rpm/i386/fedora/4/expat-1.95.8-6.i386.rpm.
===>   linux-expat-1.95.8_1 depends on file: /usr/local/bin/rpm2cpio - found
===>  Patching for linux-expat-1.95.8_1
===>  Configuring for linux-expat-1.95.8_1
--->  Backing up the old version
--->  Uninstalling the old version
--->  Deinstalling 'linux-expat-1.95.8'
pkg_delete: package 'linux-expat-1.95.8' is required by these other packages
and may not be deinstalled (but I'll delete it anyway):
citrix_ica-10.6_1
linux-fontconfig-2.2.3_7
linux-openmotif-2.2.4_2
linux-xorg-libs-6.8.2_5
ELF binary type "3" not known.
/compat/linux/sbin/ldconfig: 1: Syntax error: "(" unexpected
pkg_delete: unexec command for '/compat/linux/sbin/ldconfig -r /compat/linux' fa
iled
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 800 packages found (
-1 +0) (...) done]
--->  Installing the new version via the port
===>  Installing for linux-expat-1.95.8_1
===>   linux-expat-1.95.8_1 depends on file: /compat/linux/etc/fedora-release -
found
===>   Generating temporary packing list
===>  Checking if textproc/linux-expat already installed
cd /usr/ports/textproc/linux-expat/work && /usr/bin/find * -type d -exec /bin/mk
dir -p "/compat/linux/{}" \;
cd /usr/ports/textproc/linux-expat/work && /usr/bin/find * ! -type d | /usr/bin/
cpio -pm -R root:wheel /compat/linux
299 blocks
===>   Running linux ldconfig
/compat/linux/sbin/ldconfig -r /compat/linux
ELF binary type "3" not known.
/compat/linux/sbin/ldconfig: 1: Syntax error: "(" unexpected
*** Error code 2

Stop in /usr/ports/textproc/linux-expat.
*** Error code 1

Stop in /usr/ports/textproc/linux-expat.
===>  Cleaning for linux-expat-1.95.8_1
--->  Cleaning out obsolete shared libraries
--->  Upgrading 'linux-fontconfig-2.2.3_7' to 'linux-fontconfig-2.2.3_8' (x11-fo
nts/linux-fontconfig)
--->  Building '/usr/ports/x11-fonts/linux-fontconfig'
===>  Cleaning for linux-fontconfig-2.2.3_8
===>  Vulnerability check disabled, database not found
===>  Extracting for linux-fontconfig-2.2.3_8
=> MD5 Checksum OK for rpm/i386/fedora/4/fontconfig-2.2.3-13.i386.rpm.
=> SHA256 Checksum OK for rpm/i386/fedora/4/fontconfig-2.2.3-13.i386.rpm.
===>   linux-fontconfig-2.2.3_8 depends on file: /usr/local/bin/rpm2cpio - found
===>  Patching for linux-fontconfig-2.2.3_8
===>  Configuring for linux-fontconfig-2.2.3_8
--->  Backing up the old version
--->  Uninstalling the old version
Stale dependency: linux-fontconfig-2.2.3_7 --> linux-expat-1.95.8_1 -- manually
run 'pkgdb -F' to fix, or specify -O to force.
--->  Skipping 'x11/linux-xorg-libs' (linux-xorg-libs-6.8.2_5) because a requisi
te package 'linux-fontconfig-2.2.3_7' (x11-fonts/linux-fontconfig) failed (speci
fy -k to force)
--->  Skipping 'x11-toolkits/linux-openmotif' (linux-openmotif-2.2.4_2) because
a requisite package 'linux-xorg-libs-6.8.2_5' (x11/linux-xorg-libs) failed (spec
ify -k to force)
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        - net/citrix_ica (marked as IGNORE)
        ! x11-fonts/linux-fontconfig (linux-fontconfig-2.2.3_7) (uninstall error
)
        * x11/linux-xorg-libs (linux-xorg-libs-6.8.2_5)
        * x11-toolkits/linux-openmotif (linux-openmotif-2.2.4_2)
#
_______________________________________________
freebsd-questions_(_at_)_freebsd_(_dot_)_org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscribe_(_at_)_freebsd_(_dot_)_org"


Visit your host, monkey.org